Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001059TestLinkReportspublic2007-09-19 16:062008-11-07 19:47
Reporterhellofawedge 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.0 final 
Fixed in Version1.8 Beta 1 
Summary0001059: CSV Requirements import lexicographically.
DescriptionImporting requirements from a CSV file results in the requirements then being listed in the Req Spec lexicographically, not in natural numerical order.

While this may not seem too much of a problem, when importing Req Specs with hundreds of requirements it becomes very time consuming to manually re-order in TestLink (I know what you're thinking - then why re-order them? When you're attempting to 'sell' the tool to others in the workplace, these little things seem to become very noticeable).

If you import the requirements into the incorrect Test Project, then manually re-order, export those re-ordered requirements back to csv, then import into the correct test Project, again the requirements are ordered lexicographically.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox 2.0.0.7
PHP Version5.2.3
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0003326)
hellofawedge (reporter)
2008-02-28 07:50

Why is this assigned to no-one?
(0003327)
fman (administrator)
2008-02-28 19:32

who knows?
please update to 1.7.4 (I'm not saying this will solve your problems).
(0003329)
fman (administrator)
2008-02-29 19:42

IMported in file row order

- Issue History
Date Modified Username Field Change
2007-09-19 16:06 hellofawedge New Issue
2007-09-19 16:06 hellofawedge Browser => Firefox 2.0.0.7
2007-09-19 16:06 hellofawedge PHP Version => 5.2.3
2007-09-23 00:03 schlundus Status new => assigned
2007-09-23 00:03 schlundus Assigned To => schlundus
2007-12-16 18:45 schlundus Assigned To schlundus =>
2008-02-28 07:50 hellofawedge Note Added: 0003326
2008-02-28 19:32 fman Note Added: 0003327
2008-02-28 19:35 fman Assigned To => fman
2008-02-29 19:42 fman Status assigned => resolved
2008-02-29 19:42 fman Fixed in Version => next development version (1.8 Beta1)
2008-02-29 19:42 fman Resolution open => fixed
2008-02-29 19:42 fman Note Added: 0003329
2008-06-03 16:48 mhavlat Fixed in Version next development version (1.8 Beta1) => 1.8 Beta 1
2008-11-07 19:47 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker